Subject: Re: [PATCH 1/2] Add password parameter to git svn commands and use it when provided instead of defaulting to end-user prompt

From: Eric Wong <[email-masked]>
Date: Mon, 14 Oct 2013 23:35:56 +0000

Jeff King <[email-masked]> wrote:
> On Mon, Oct 14, 2013 at 06:40:05PM +0000, Eric Wong wrote:
> 
> > > [email-masked] wrote:
> > > 
> > > > Signed-off-by: Arnaud Brejeon <arnaud.brejeon <at> gmail.com>
> > > 
> > > Thanks.
> > > 
> > > Can you say a little more about the context?  Do you run a script that
> > > wants to pass a password to 'git svn', do you type it each time on the
> > > command line, or something else?  Is it ok that the password would
> > > show up in "ps" output?  Would the platform's keyring or netrc be
> > > usable here, or is there something in the context that avoids that?
> > 
> > I think using keyring or netrc is more appropriate.  Having a password
> > on the command-line and visible to all via ps doesn't seem like
> > something git should support.
> 
> Agreed. We have ready-made git-credential helpers to handle this exact
> problem. We would need to convert SVN::Prompt to use git-credential
> rather than prompting itself, though. One of the things that held me
> back from writing such a patch is that I thought libsvn already handled
> things like keychain integration, and it was better for git-svn to be
> more svn-like than git-like in its access of SVN repos.
> 
> Are those already supported out of the box by libsvn? If git's
> credential helpers are significantly more featureful, it might be worth
> converting, but if not, I think it makes sense to stay with svn's
> existing code.

I looks like this patch was forgotten once again:

http://mid.gmane.org/[email-masked]

Matthijs: can you add a Signed-off-by for your patch?  I'm inclined to
push it to Junio as-is since it looks reasonable.
I admit I don't know SVN callbacks anymore well enough and don't have
time to test with GNOME.